package cn.novalon.gym.manage.notify.core.service;

import cn.novalon.gym.manage.notify.core.domain.SysNotice;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public interface ISysNoticeService {

    Flux<SysNotice> getAllNotices();

    Mono<SysNotice> getNoticeById(Long id);

    Flux<SysNotice> getNoticesByStatus(String status);

    Mono<SysNotice> createNotice(SysNotice notice);

    Mono<SysNotice> updateNotice(Long id, SysNotice notice);

    Mono<Void> deleteNotice(Long id);
}